Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.tasks.copy
Class CopySpecImpl

    java.lang.Object
      org.gradle.api.internal.tasks.copy.CopySpecImpl

    class CopySpecImpl

author:
  Steve Appling

Constructor Summary
`CopySpecImpl(FileResolver resolver, CopySpecImpl parentSpec)`
`CopySpecImpl(FileResolver resolver)`

Method Summary
`CopySpec` | `exclude(java.lang.String excludes)`
`CopySpec` | `filter(java.lang.Class filterType)`
`CopySpec` | `filter(java.util.Map map, java.lang.Class filterType)`
`CopySpec` | `filterChain(groovy.lang.Closure c)`
`CopySpec` | `from(java.lang.Object sourcePaths)`
`CopySpec` | `from(java.lang.Object sourcePath, groovy.lang.Closure c)`
`CopySpec` | `from(java.lang.Iterable sourcePaths)`
`CopySpec` | `from(java.lang.Iterable sourcePaths, groovy.lang.Closure c)`
`java.util.List` | `getAllExcludes()`
`java.util.List` | `getAllIncludes()`
`java.util.List` | `getAllSourceDirs()`
`java.io.File` | `getDestDir()`
`FilterChain` | `getFilterChain()`
`java.util.List` | `getLeafSyncSpecs()`
`java.util.List` | `getRemapClosures()`
`java.util.List` | `getRenameMappers()`
`java.util.List` | `getSourceDirs()`
`CopySpec` | `include(java.lang.String includes)`
`CopySpec` | `into(java.lang.Object destDir)`
`CopySpec` | `remapTarget(groovy.lang.Closure closure)`
`CopySpec` | `rename(java.lang.String sourceRegEx, java.lang.String replaceWith)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### CopySpecImpl

    public CopySpecImpl(FileResolver resolver, CopySpecImpl parentSpec)

### CopySpecImpl

    public CopySpecImpl(FileResolver resolver)

Method Detail

### exclude

    public CopySpec exclude(java.lang.String excludes)

### filter

    public CopySpec filter(java.lang.Class filterType)

### filter

    public CopySpec filter(java.util.Map map, java.lang.Class filterType)

### filterChain

    public CopySpec filterChain(groovy.lang.Closure c)

### from

    CopySpec from(java.lang.Object sourcePaths)

### from

    public CopySpec from(java.lang.Object sourcePath, groovy.lang.Closure c)

### from

    CopySpec from(java.lang.Iterable sourcePaths)

### from

    CopySpec from(java.lang.Iterable sourcePaths, groovy.lang.Closure c)

### getAllExcludes

    public java.util.List getAllExcludes()

### getAllIncludes

    public java.util.List getAllIncludes()

### getAllSourceDirs

    public java.util.List getAllSourceDirs()

### getDestDir

    public java.io.File getDestDir()

### getFilterChain

    public FilterChain getFilterChain()

### getLeafSyncSpecs

    public java.util.List getLeafSyncSpecs()

### getRemapClosures

    public java.util.List getRemapClosures()

### getRenameMappers

    public java.util.List getRenameMappers()

### getSourceDirs

    public java.util.List getSourceDirs()

### include

    public CopySpec include(java.lang.String includes)

### into

    public CopySpec into(java.lang.Object destDir)

### remapTarget

    public CopySpec remapTarget(groovy.lang.Closure closure)

### rename

    public CopySpec rename(java.lang.String sourceRegEx, java.lang.String replaceWith)

Groovy Documentation